## slixmpp-omemo 1.0.0

=== requirements.txt ===
slixmpp>=1.8.0,<2
OMEMO>=1.0.4,<2
Oldmemo[xml]>=1.0.4,<2
Twomemo[xml]>=1.0.4,<2
typing-extensions>=4.4.0

=== debian/changelog ===
slixmpp-omemo (1.0.0-2) unstable; urgency=medium

  * Source-only upload

 -- Martin <debacle@debian.org>  Fri, 30 Aug 2024 19:08:04 +0000

slixmpp-omemo (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #1007174)

 -- Martin <debacle@debian.org>  Fri, 23 Aug 2024 22:02:00 +0000

## slixmpp-omemo 1.1.1

=== debian/changelog ===
slixmpp-omemo (1.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Martin <debacle@debian.org>  Wed, 09 Oct 2024 22:06:17 +0000

## slixmpp-omemo 1.2.1

=== debian/changelog ===
slixmpp-omemo (1.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Martin <debacle@debian.org>  Mon, 21 Oct 2024 18:25:53 +0000

## slixmpp-omemo 1.2.2

=== requirements.txt ===
slixmpp>=1.8.0,<2
OMEMO>=1.1.0,<2
Oldmemo[xml]>=1.0.4,<2
Twomemo[xml]>=1.0.4,<2
typing-extensions>=4.4.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = slixmpp-omemo
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
slixmpp-omemo (1.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Martin <debacle@debian.org>  Sat, 23 Nov 2024 14:54:39 +0000

=== debian/control ===
Source: slixmpp-omemo
Section: python
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13),
	dh-python,
	pybuild-plugin-pyproject,
	python3-all,
	python3-oldmemo,
	python3-omemo,
	python3-pytest,
	python3-pytest-asyncio,
	python3-setuptools,
	python3-slixmpp,
	python3-sphinx,
	python3-sphinx-autodoc-typehints,
	python3-sphinx-rtd-theme,
	python3-twomemo,
	python3-xmlschema,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/Syndace/slixmpp-omemo
Vcs-Git: https://salsa.debian.org/xmpp-team/slixmpp-omemo.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/slixmpp-omemo
Testsuite: autopkgtest-pkg-pybuild

Package: python3-slixmpp-omemo
Architecture: all
Depends: ${misc:Depends},
	${python3:Depends}
Description: OMEMO End-to-End Encryption plugin for slixmpp
 A plugin for slixmpp offering the OMEMO Multi-End Message and Object
 Encryption protocol, based on python-omemo.

Package: python-slixmpp-omemo-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends},
	${misc:Depends},
Description: OMEMO End-to-End Encryption plugin for slixmpp (documentation)
 A plugin for slixmpp offering the OMEMO Multi-End Message and Object
 Encryption protocol, based on python-omemo.
 .
 This is the documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = slixmpp-omemo

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' make \
		   SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build \
		   -C docs html

## slixmpp-omemo 2.0.0

=== debian/changelog ===
slixmpp-omemo (2.0.0-3) unstable; urgency=medium

  * (Build-) Depend on python3-omemo >= 2

 -- Martin <debacle@debian.org>  Sun, 30 Nov 2025 12:17:19 +0000

slixmpp-omemo (2.0.0-2) unstable; urgency=medium

  * (Build-) Depend on twomemo and oldmemo >= 2

 -- Martin <debacle@debian.org>  Sun, 30 Nov 2025 01:16:24 +0000

slixmpp-omemo (2.0.0-1) unstable; urgency=medium

  * New upstream release
  * Move package to Python team
  * Drop R³: no
  * Add debian/gbp.conf and debian/watch

 -- Martin <debacle@debian.org>  Sun, 16 Nov 2025 18:43:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: slixmpp-omemo
 Section: python
 Priority: optional
-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Martin <debacle@debian.org>
 Build-Depends: debhelper-compat (= 13),
 	dh-python,
 	pybuild-plugin-pyproject,
 	python3-all,
-	python3-oldmemo,
-	python3-omemo,
+	python3-oldmemo (>= 2~),
+	python3-omemo (>= 2~),
 	python3-pytest,
 	python3-pytest-asyncio,
+	python3-pytest-cov,
 	python3-setuptools,
 	python3-slixmpp,
+	python3-twomemo (>= 2~),
+	python3-xmlschema,
+Build-Depends-Indep:
 	python3-sphinx,
 	python3-sphinx-autodoc-typehints,
 	python3-sphinx-rtd-theme,
-	python3-twomemo,
-	python3-xmlschema,
 Standards-Version: 4.7.0
-Rules-Requires-Root: no
 Homepage: https://github.com/Syndace/slixmpp-omemo
-Vcs-Git: https://salsa.debian.org/xmpp-team/slixmpp-omemo.git
-Vcs-Browser: https://salsa.debian.org/xmpp-team/slixmpp-omemo
+Vcs-Git: https://salsa.debian.org/python-team/packages/slixmpp-omemo.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/slixmpp-omemo
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-slixmpp-omemo

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,7 @@
 	PYTHONPATH=. http_proxy='127.0.0.1:9' make \
 		   SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build \
 		   -C docs html
+
+execute_after_dh_auto_install:
+	rm -rf $(CURDIR)/debian/python3-slixmpp-omemo/usr/lib/python3.*/dist-packages/docs/ \
+	    $(CURDIR)/debian/python3-slixmpp-omemo/usr/lib/python3.*/dist-packages/examples/

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/Syndace/slixmpp-omemo/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
